Bug 696268 - IPA server install with DNS setup, and with --ip-address cannot resolve hostnames
Summary: IPA server install with DNS setup, and with --ip-address cannot resolve hostn...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-13 18:05 UTC by Namita Soman
Modified: 2015-01-04 23:47 UTC (History)
4 users (show)

Fixed In Version: ipa-2.1.0-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Providing an IP address during server installation with --ip-address results in a non-working server. Consequence: The IPA server installation appears to be successful but does not work. Fix: Verify that the provided IP address is a configured interface on the system. Result: Providing an IP address that isn't associated with a local network interface will return an error message.
Clone Of:
Environment:
Last Closed: 2011-12-06 18:21:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Namita Soman 2011-04-13 18:05:18 UTC
Description of problem:
A server install, with dns configured, and a different ip specified than the machine ip, cannot resolve hostnames

On a machine, whose IP is 10.16.18.76, ran the server install as below:
ipa-server-install --setup-dns --forwarder=10.14.63.12 --ip-address=10.16.19.131 -r TESTRELM -p Secret123 -P Secret123 -a Secret123 -U

(note: 10.16.19.131 is the IP for one of my VM machines, that I shutdown to do this test)
Install went through successfully, /etc/hosts, and /etc/resolv.conf had this new IP addresses.

But i cannot ping redhat.com or google.com.



Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. install ipa server as:
ipa-server-install --setup-dns --forwarder=10.14.63.12 --ip-address=10.16.19.131 -r TESTRELM -p Secret123 -P Secret123 -a Secret123 -U
2. ping redhat.com

  
Actual results:
cannot ping

Expected results:
should be able to ping

Additional info:

Comment 3 Dmitri Pal 2011-04-14 00:28:36 UTC
https://fedorahosted.org/freeipa/ticket/1175

Comment 4 Rob Crittenden 2011-04-14 15:14:19 UTC
Are you saying your configured an IPA server with an IP address not its own?

Does forwarding work if you install with a correct IP addr?

Comment 5 Namita Soman 2011-04-14 15:22:31 UTC
1> Yes

2> yes

Comment 6 Rob Crittenden 2011-04-14 18:51:22 UTC
I'm not sure what we can do about this other than sift through the network configuration to determine if --ipaddress is actually being used.

I'm not entirely sure how configuring a bogus address is making DNS not work but this isn't really a supported configuration, is it?

Comment 9 Rob Crittenden 2011-06-21 17:15:20 UTC
master: c329a54c093f856d129cf74528d24d13d1792326

Comment 11 Rob Crittenden 2011-10-31 17:48:59 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Providing an IP address during server installation with --ip-address results in a non-working server.
Consequence: The IPA server installation appears to be successful but does not work.
Fix: Verify that the provided IP address is a configured interface on the system.
Result: Providing an IP address that isn't associated with a local network interface will return an error message.

Comment 12 Namita Soman 2011-11-04 17:34:03 UTC
Verified using ipa-server-2.1.3-8.el6.x86_64

# ipa-server-install --setup-dns --forwarder=10.14.63.12 --ip-address=10.16.19.999 r TESTRELM -p Secret123 -P Secret123 -a Secret123
Usage: ipa-server-install [options]

ipa-server-install: error: option --ip-address: invalid IP address 10.16.19.999: failed to detect a valid IP address from '10.16.19.999'

Comment 13 errata-xmlrpc 2011-12-06 18:21:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.